libstdc++

Public Member Functions | List of all members
std::exception Class Reference
Exceptions
Inheritance diagram for std::exception:
[legend]

## Public Member Functions

virtual const char * | what () const noexcept

## Detailed Description

Base class for all library exceptions.

This is the base class for all exceptions thrown by the standard library, and by certain language expressions. You are free to derive your own exception classes, or use a different hierarchy, or to throw non-class data (e.g., fundamental types).

Definition at line 60 of file exception.

## Member Function Documentation

virtual const char* std::exception::what | ( |  | ) | const

virtual noexcept

Returns a C-style character string describing the general cause of the current error.

Reimplemented in std::bad_function_call, std::ios_base::failure, std::bad_typeid, std::bad_cast, std::runtime_error, std::future_error, std::bad_exception, std::logic_error, std::bad_weak_ptr, and std::bad_alloc.

The documentation for this class was generated from the following file:

- exception